petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetFactorType

gets the type of factorization it is

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetFactorType(Mat mat,MatFactorType *t)

Note Collective as the flag

### Input Parameters

mat -the matrix

### Output Parameters

t -the type, one of MAT_FACTOR_NONE, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ILU, MAT_FACTOR_ICC,MAT_FACTOR_ILUDT

### See Also

MatFactorType, MatGetFactor()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages